%global pkgvers 0
%global scdate0 20240323
%global schash0 4fc2477a66e327733f6a0b668b0b85cee7fba394
%global branch0 master
%global source0 https://gerrit.osmocom.org/libosmo-sccp.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           libosmo-sccp
Version:        1.8.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Osmocom SCCP, SIGTRAN and STP
License:        GPLv2

URL:            https://osmocom.org/projects/libosmo-sccp/wiki

BuildRequires:  git make autoconf automake libtool doxygen systemd
BuildRequires:  libosmocore-devel libosmo-netif-devel lksctp-tools-devel

%undefine _hardened_build
%undefine _annotated_build

%description
C-language library implementation of a variety of telecom
signaling protocols, such as M3UA, SUA, SCCP (connection
oriented and connectionless), as well as the OsmoSTP,
a SS7 Transfer Point.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Development files for %{name}.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller

%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
autoreconf -fi
%configure --enable-shared \
           --disable-static \
           --enable-manual

sed -i -e 's|tests||g' Makefile
# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} VERBOSE=0


%install
make install DESTDIR=%{buildroot}
# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} \;
find %{buildroot} -name '*.a' -exec rm -f {} \;
# versioning
sed -i 's|UNKNOWN|%{version}|' %{buildroot}%{_libdir}/pkgconfig/*.pc


%check
make check


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc %{_docdir}/*
%license COPYING
%{_bindir}/*
%{_unitdir}/*
%config %{_sysconfdir}/*
%{_libdir}/*.so.*

%files devel
%{_includedir}/osmocom/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- git update releases
